The Public Suffix List
======================

A "public suffix" is one under which Internet users can (or historically could)
directly register names. Some examples of public suffixes are .com, .co.uk and
pvt.k12.ma.us. The Public Suffix List is a list of all known public suffixes.

See https://publicsuffix.org/ and the [Wiki](https://github.com/publicsuffix/list/wiki) link above for more information.

**Are you here to add or update something?**

All submissions must conform to the [validation and acceptance factors](https://github.com/publicsuffix/list/wiki/Guidelines#validation-and-non-acceptance-factors) and provide sufficient rationale or basically be as complete as possible, and follow the [Guidelines](https://github.com/publicsuffix/list/wiki/Guidelines), especially as they relate to format and [sorting](https://github.com/publicsuffix/list/wiki/Guidelines#sort-your-submission-correctly-important).

The list is currently maintained by people who are volunteering their time towards universal acceptance and ensuring there is a bridge between the ICANN world of domain names and the crucial last mile - the world of developers and human users.  

Iteration back and forth will delay PR review or inclusion.  Be extremely thorough, and patient.

Important Notice:

2024-07-26 : We are sending e-mail asking for confirmation if certain entries are still required

Currently, this process is purely manual and extremely low volume but if you do get an e-mail, please respond.

2023-09-01 : ~~**We are not sending _PSL txt record email notices to anyone**~~

We are getting reports that some parties are receiving email notices about ensuring they have (and maintain/keep) _PSL TXT records tied to the relevant pull request URL in order to maintain their listing on the PSL.   This is not from the maintainers, we're not sending those.  That said, please do leave those in place for domains that you want to keep listed, as their inclusion served two roles.  1: a means to publicly validate a connection between the submitting party and the administration in DNS of submitted name(s). 2: future use for culling the list via automation.  We have never had the resourcing to perform the latter, but at some point will do this, and due to the nature of most submitters having a 'set and forget' attitude about their entries, we felt it best to leverage the only likely time we'd have their attention to preserve their record.

2023-02-20 : Did [guidance from Google related to the changes that they are making to adsense subdomains](https://support.google.com/adsense/answer/12170421) bring you here?  Work with Google Adsense [Help Link](https://support.google.com/adsense/gethelp) with any support questions you have.  The PSL is thinly resourced, and the volunteer maintainers are unable to answer questions about Adsense changes or support Adsense.

The PSL is volunteer-resourced and is absolutely not resourced to answer questions or support changes.  Guidance is in the form of self-help (READ THE [WIKI](https://github.com/publicsuffix/list/wiki)), THERE IS NO PSL CUSTOMER SERVICE RESOURCE TO ASSIST YOU.   *Please work directly with Google to ensure your domain does in fact need an entry, and they should help you know what the benefits and consequences are.  _IT POSSIBLE TO HARM YOUR WEBSITE COOKIES BY REQUESTING A MAL-FORMED PSL ENTRY_.  Also, understand what propagation delays and rollback processing entail before making requests.*

2021-04-23 : Did guidance related to an issue with Facebook or Apple bring you here?  [Read this before submitting requests](https://github.com/publicsuffix/list/issues/1245)  We are not approving workaround requests per the validation and acceptance standards, but do have open discussion with Facebook on the matter.  
